Subject: Re: bug#59986: 30.0.50; Can't trash file with broken symbolic link

From: Jean Louis <[email-masked]>
Date: Fri, 16 Dec 2022 09:39:31 +0300

I have manually applied that patch as I do not know how to
apply it directly. Am I supposed to use `patch' command? 

I have tested your patch and it can delete dangling symlinks
and moves them to Trash. And I could observe it adds ~N~ to
file names, so it works well.

  lrwxrwxrwx 1    9 Dec 15 17:51 more -> something
  lrwxrwxrwx 1    9 Dec 16 09:37 more.~1~ -> something
  lrwxrwxrwx 1    9 Dec 16 09:37 more.~2~ -> something
  -rwxr-xr-x 1 1.5K Sep 15  2018 

Thanks much.

Jean

Take action in Free Software Foundation campaigns:
https://www.fsf.org/campaigns

In support of Richard M. Stallman
https://stallmansupport.org/